Subject: [mpls] Comments to draft-tsaad-mpls-rsvpte-bidir-lsp-fastreroute

From: Gregory Mirsky <[email-masked]>
Date: Wed, 27 Feb 2013 23:40:56 +0000

Dear Authors, et al.,
Please find my comments to this document below:
*       As noted in the Introduction, bi-directional co-routed LSP can be signaled in context of GMPLS model. I recall that it was agreed that all work on GMPLS constructs will be conducted within CCAMP WG.
   *    I think that scenario described in the second paragraph of the Introduction section is not correct. I believe that protection path(s) for bi-directional co-routed LSP must be bi-directional and co-routed as well. Thus I don't see it possible that there will be "asymmetry of paths" after protection switchover. IMO, protection path must have the same properties as working path, i.e. be bi-directional co-routed LSP.
   *    Asymmetry of paths may exist if working path is bi-directional associated LSP but such construct is not in scope of this document and I believe that this case fully covered by RFC 4090.
   *    Problem that you alledge in the third paragraph should not exist in GMPLS with use of ASSOCIATION object (RFC 6780)
   *    I'd point that local protection with node protection for bi-directional co-routed LSP turns into a case of segment protection with OAM being ran between PLRs and PSC (RFC 6378) coordinating switchover by exchanging messages over protection segment.

        Regards,
                Greg